<!--<%#= stylesheet_link_tag  'resource', :media => 'all' %> -->
<script>
    function show_upload()
    {
        $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show_project',:locals => {:project => project}) %>');
        showModal('ajax-modal', '513px');
        $('#ajax-modal').siblings().remove();
        $('#ajax-modal').before("<a href='javascript:void(0)' onclick='closeModal()' style='margin-left: 480px;'><img src='/images/bid/close.png' width='26px' height='26px' /></a>");
        $('#ajax-modal').parent().css("top","40%").css("left","36%").css("border","3px solid #269ac9");
        $('#ajax-modal').parent().addClass("popbox_polls");
    }

    function closeModal()
    {
        hideModal($("#popbox_upload"));
    }

    function presscss(id)
    {
        if(id == "incourse")
        {
            $('#incourse').attr("class", "re_schbtn b_dblue");
            $('#insite').attr("class", "re_schbtn b_lblue");
        }
        else
        {
            $('#incourse').attr("class", "re_schbtn b_lblue");
            $('#insite').attr("class", "re_schbtn b_dblue");
        }
    }
    function buttoncss()
    {
        $('#incourse').attr("class", "re_schbtn b_lblue");
        $('#insite').attr("class", "re_schbtn b_lblue");
    }

</script>

<div class="container">
  <div class="resource"><!--资源库内容开始--->
    <div class="re_top">
      <%= form_tag( search_project_project_files_path(@project), method: 'get',:class => "re_search f_l",:remote=>true) do %>
          <%= text_field_tag 'name', params[:name], name: "name", :class => 're_schbox',:style=>"padding: 0px"%>
          <%= submit_tag "项目内搜索", :class => "re_schbtn b_lblue",:name => "incourse",:id => "incourse", :onmouseover => "presscss('incourse')",:onmouseout =>"buttoncss()", :style =>"width:72px;" %>
          <%= submit_tag "全站搜索", :class => "re_schbtn b_lblue",:name => "insite",:id => "insite",:onmouseover => "presscss('insite')",:onmouseout =>"buttoncss()" %>
      <% end %>
      <% manage_allowed = User.current.allowed_to?(:manage_files, @project) %>
      <% if manage_allowed %>  <!-- show_window('light','fade','20%','35%')-->
          <a href="javascript:void(0)" class="re_fabu f_r b_lblue" onclick="show_upload();">上传资源</a>
      <% end %>
    </div><!---re_top end-->
    <div class="cl"></div>

    <div class="re_con" id="course_list">
      <%= render :partial => 'project_file_list',:locals => {project: @project,all_attachments: @all_attachments,sort:@sort,order:@order,project_attachments:@obj_attachments,:manage_allowed => manage_allowed}  %>
    </div><!---re_con end-->

  </div>
</div>
<% html_title(l(:label_attachment_plural)) -%>